- Random123-1.09 Documentation

# r123::AESNI1xm128i_R< ROUNDS > Class Template Reference
[ARS and AESNI Classes and Typedefs]

`#include <Random123/aes.h>`

Inheritance diagram for r123::AESNI1xm128i_R< ROUNDS >:

List of all members.

## Detailed Description

### template<unsigned ROUNDS = 10>
class r123::AESNI1xm128i_R< ROUNDS >

AESNI1xm128i_R is provided for completeness, but is only instantiable with ROUNDS=10, in which case it is identical to AESNI1xm128i

The documentation for this class was generated from the following file:

- Random123/aes.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines